Test::LDSB::LDSBLatin Class Reference

Test for LDSB infrastructure with Latin square problem More...

## Classes

class | Latin
| Latin square space More...

## Public Member Functions

| LDSBLatin (std::string label)
| Initialize test.
bool | run (void)
| Perform actual tests.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Additional Inherited Members

Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Test for LDSB infrastructure with Latin square problem

Definition at line 1136 of file ldsb.cpp.

## Constructor & Destructor Documentation

## LDSBLatin()

Test::LDSB::LDSBLatin::LDSBLatin | ( | std::string | label | ) |

inline

Initialize test.

Definition at line 1179 of file ldsb.cpp.

## Member Function Documentation

## run()

bool Test::LDSB::LDSBLatin::run | ( | void |  | ) |

inline virtual

Perform actual tests.

Implements Test::Base.

Definition at line 1181 of file ldsb.cpp.

The documentation for this class was generated from the following file:

- test/ldsb.cpp